function sigma=impvol(C,K,T)
% EX 3-4) impvol compute the implied volatility sigma for a given strike K,
% maturity T and value C of an ATM call option at time 0 in a Bachelier
% model

% at the money
s0=K;

sigma= sqrt(2*pi)*C./(sqrt(T)*s0);

% More complicated...
% Explicit formula for the call option
%expcall= @(sigma,Ttemp) s0.*sigma.*sqrt(Ttemp)*normpdf((s0-K)/(s0*sigma*sqrt(Ttemp)))+ (s0-K)*normcdf((s0-K)/(s0*sigma*sqrt(Ttemp)));
% equation satisfied by impvol: C- expcall(sigma)=0
%sigma= zeros(1,length(C));
% initial value
%sigma0=0.16;
%for i = 1:length(C)
%sigma(i) = fzero(@(sigma) C(i)-expcall(sigma,T(i)),sigma0);
%end

end


